Skip to main content
GET
/
agents
/
{id}
cURL
curl --request GET \
  --url https://api.{environment}.corti.app/agents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Tenant-Name: <tenant-name>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "systemPrompt": "<string>",
  "experts": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "systemPrompt": "<string>",
      "mcpServers": [
        {
          "id": "<string>",
          "name": "<string>",
          "url": "<string>",
          "authorizationScope": "<string>",
          "redirectUrl": "<string>"
        }
      ]
    }
  ],
  "mcpServers": [
    {
      "id": "<string>",
      "name": "<string>",
      "url": "<string>",
      "authorizationScope": "<string>",
      "redirectUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Tenant-Name
string
required

Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.

Example:

"base"

Path Parameters

id
string
required

The identifier of the agent associated with the context.

Example:

"12345678-90ab-cdef-gh12-34567890abc"

Response

Agent retrieved successfully.

id
string
required

The unique identifier of the agent.

name
string
required

The name of the agent.

description
string
required

A brief description of the agent's capabilities.

systemPrompt
string
required

The system prompt that defines the overall agents behavior and expectations.

experts
object[]
mcpServers
object[]

A list of MCP servers that the agent can call. If omitted, the agent can't call any MCP servers.